Bug 1912491 - Please build SLURM in Fedora EPEL 7 and 8
Summary: Please build SLURM in Fedora EPEL 7 and 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: slurm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Philip Kovacs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-04 15:20 UTC by Susi Lehtola
Modified: 2021-01-23 01:55 UTC (History)
2 users (show)

Fixed In Version: slurm-20.11.2-2.el8 slurm-20.11.2-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-23 01:54:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Susi Lehtola 2021-01-04 15:20:03 UTC
I can see from the review ticket #1489668 that there have been plans to build SLURM in Fedora EPEL 7; however, I don't see slurm in the EPEL repository.

It would be great if you could build SLURM in Fedora EPEL 7 and 8, since most compute clusters run RHEL / CentOS and use SLURM as the queue manager.

Comment 1 Susi Lehtola 2021-01-04 15:23:25 UTC
Philip, Dmitrij: you showed interest in building the EPEL packages in #1489668. Is there a reason why the packages don't exist?

Comment 2 Dmitrij S. Kryzhevich 2021-01-05 02:45:34 UTC
It's ridiculous. Philip is the maintainer of slurm in Fedora (and slurm developer). Here is his latest build: https://koji.fedoraproject.org/koji/buildinfo?buildID=1643148 and no epel branches still. With stated interest in them. Idk.

(my local repo does contain epel7 and epel8 versions of slurm btw so i just... well... lost interest in 'official' build and forget about that ticket. but let's wait for Philip's answer)

Comment 3 Philip Kovacs 2021-01-05 14:58:12 UTC
If there is an interest, sure, I can add EPEL branches.  It's not fair to characterize the current absence of those branches as "ridiculous" however -- this is the first bug actually assigned to me on the subject.  Slurm is a difficult beast and over the years I had to make many changes just to accommodate Fedora.  I'll take a look at it from the EPEL perspective.

Comment 4 Dmitrij S. Kryzhevich 2021-01-06 01:14:35 UTC
I'm sorry I didn't want to be rude.

Been maintainer you replied:
> I'm happy to build for EPEL7 also.
So everyone can expect it will appear sometime. Or may be we understand something wrong. Did we?

Comment 5 Philip Kovacs 2021-01-06 03:08:03 UTC
That comment was made years ago during the time I was trying to get approval to bring slurm into Fedora as a new maintainer. I have since spent countless hours working with slurm in the Fedora ecosystem, dealing with upstream on bugs, proposing patches, writing my own patches for Fedora, etc. EPEL has simply not been a priority.  Also, no one filed any separate bugs about EPEL or made any attempt to contact me on the subject until here and now.

That said, today I requested an epel8 branch for slurm from release engineering and have run a successful scratch build of slurm for epel8. Pending the creation of that branch, epel8 should be quickly resolved. epel7 requires a little more work on my part to get the rpm macros in conformance. Stay tuned.

Comment 6 Philip Kovacs 2021-01-06 19:20:04 UTC
I've created the epel7 and epel8 branches, adjusted the slurm spec and patches, as needed, and created the candidate builds.  I've submitted everything to bodhi and, pending the karma gating (+3/-3) or time gating (14 days), slurm will be added to those epel7 and epel8.

https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-3e0145d59c
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8b1c5ea869

Comment 7 Fedora Update System 2021-01-07 02:22:53 UTC
FEDORA-EPEL-2021-3e0145d59c has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-3e0145d59c

Comment 8 Fedora Update System 2021-01-07 02:23:48 UTC
FEDORA-EPEL-2021-8b1c5ea869 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8b1c5ea869

Comment 9 Fedora Update System 2021-01-08 03:14:06 UTC
FEDORA-EPEL-2021-3e0145d59c has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-3e0145d59c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-01-08 03:17:56 UTC
FEDORA-EPEL-2021-8b1c5ea869 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8b1c5ea869

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-01-23 01:54:46 UTC
FEDORA-EPEL-2021-8b1c5ea869 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-01-23 01:55:26 UTC
FEDORA-EPEL-2021-3e0145d59c has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.